import { Component, OnInit, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'odds-crawler-layout-main',
  templateUrl: './main-layout.component.html',
  styleUrls: ['./main-layout.component.scss']
})
export class MainLayoutComponent implements OnInit {
  @Output()
  openNewTab = new EventEmitter<string>();

  constructor() {}

  ngOnInit() {}

  onClickNewTab(tabURL: HTMLInputElement) {
    this.openNewTab.emit(tabURL.value);
  }
}
